For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cancel

Beta: Cancel slot

post

Cancel a slot

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
site-slugstringRequired

The slug identifier of the site

slot-uidstringRequired

The unique identifier of the slot

Body
reasonstringRequired

The reason for cancelling the slot

Responses
200

Slot cancelled successfully

application/json
uidstringRequired

Unique identifier for the slot

start_timestring · date-timeRequired

Start time of the slot in ISO 8601 format

end_timestring · date-timeRequired

End time of the slot in ISO 8601 format

statestring · enumRequired

Current state of the slot

Possible values:
notestringOptional

Optional note for the slot

post/flow/sites/{site-slug}/slots/{slot-uid}/cancel/
POST /api/v4/flow/sites/{site-slug}/slots/{slot-uid}/cancel/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "reason": "text"
}
{
  "uid": "text",
  "zone": {
    "uid": "text",
    "name": "text"
  },
  "company": {
    "pk": 456,
    "remote_id": "CARRIER_123",
    "name": "Transporteur A"
  },
  "start_time": "2026-01-01T00:00:00.000Z",
  "end_time": "2026-01-01T00:00:00.000Z",
  "state": "draft",
  "note": "text",
  "fields": {
    "references": [
      "value1",
      "value2"
    ],
    "custom_field_1": "value",
    "custom_field_2": "value"
  }
}

Last updated

Was this helpful?